MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ChannelInfo Class Reference

ChannelInfo stores the basic properties of a channel. More...

`#include <PointData.h>`

Inheritance diagram for ChannelInfo:
[legend]

## Public Member Functions
| ~ChannelInfo (void)
| ChannelInfo (void)
void | init (const char *name, DataType datatype, int bits, double quantization=0)
void | init (const ChannelInfo &info)
const char * | getName (void) const
| Get the name. More...
DataType | getDataType (void) const
| Get the data type. More...
size_t | getBits (void) const
| Get the bit precision. More...
double | getQuantization (void) const
| Get the quantization scale. More...
void | setQuantization (double value)
bool | operator== (const ChannelInfo &rhs) const
bool | operator!= (const ChannelInfo &rhs) const

## Protected Attributes
char * | m_name
DataType | m_datatype
int | m_bits
double | m_quantization

## Detailed Description

ChannelInfo stores the basic properties of a channel; its name, datatype and bits of precision.

Definition at line 126 of file PointData.h.

## Constructor & Destructor Documentation

ChannelInfo::~ChannelInfo | ( | void | ) |  |

ChannelInfo::ChannelInfo | ( | void | ) |  |

## Member Function Documentation

size_t ChannelInfo::getBits | ( | void | ) |  | const

This functon returns the number of bits used in the data type. For floating point data types this value it the number of bits needed after its been quantized.

DataType ChannelInfo::getDataType | ( | void | ) |  | const

This method returns the channels data type.

const char* ChannelInfo::getName | ( | void | ) |  | const

This method returns the channels name.

double ChannelInfo::getQuantization | ( | void | ) |  | const

This functon returns the quantization scale factor for floating data.

void ChannelInfo::init | ( | const char * | name,
|  | DataType | datatype,
|  | int | bits,
|  | double | quantization = `0`
| ) |  |

void ChannelInfo::init | ( | const ChannelInfo & | info) |  |

bool ChannelInfo::operator!= | ( | const ChannelInfo & | rhs) |  | const
| inline

Definition at line 168 of file PointData.h.

References operator==().

bool ChannelInfo::operator== | ( | const ChannelInfo & | rhs) |  | const

Referenced by operator!=().

void ChannelInfo::setQuantization | ( | double | value) |  |

## Member Data Documentation

int ChannelInfo::m_bits
| protected

Definition at line 173 of file PointData.h.

DataType ChannelInfo::m_datatype
| protected

Definition at line 172 of file PointData.h.

char* ChannelInfo::m_name
| protected

Definition at line 171 of file PointData.h.

double ChannelInfo::m_quantization
| protected

Definition at line 174 of file PointData.h.

The documentation for this class was generated from the following file:

- PointData.h

LizardTech